Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1357918 - Alarm ignores repeat_actions field
Summary: Alarm ignores repeat_actions field
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-aodh
Version: 8.0 (Liberty)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ga
: 8.0 (Liberty)
Assignee: Mehdi ABAAKOUK
QA Contact: Yurii Prokulevych
URL:
Whiteboard:
Depends On: 1357880
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-19 15:04 UTC by Mehdi ABAAKOUK
Modified: 2016-11-14 19:57 UTC (History)
6 users (show)

Fixed In Version: openstack-aodh-1.1.3-1.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1357880
Environment:
Last Closed: 2016-11-14 19:57:50 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2712 normal SHIPPED_LIVE Red Hat OpenStack Platform 8 Bug Fix and Enhancement Advisory 2016-11-15 00:54:10 UTC
OpenStack gerrit 344263 None None None 2016-07-19 15:04:21 UTC
OpenStack gerrit 344275 None None None 2016-07-19 15:05:21 UTC

Description Mehdi ABAAKOUK 2016-07-19 15:04:22 UTC
+++ This bug was initially created as a clone of Bug #1357880 +++

Description of problem:
-----------------------
Clone of upstream bug.

A composite alarm continues to send notifications/log info about alarm transition even repeat_actions is set to False.

Interesting that records in aodh/evaluator.log matches records from 'alarm history' output.

2016-05-11 10:15:08.143 93875 INFO aodh.notifier.rest [-] Notifying alarm Composite-Alarm 566bcde7-1757-4397-9585-c6efa3c7185b with severity critical from insufficient data to alarm with action SplitResult(scheme=u'http', netloc=u'127.0.0.1:15001', path=u'', query='', fragment='') because Composite rule alarm with composition form: (rule1 and rule2) transition to alarm, due to rules: rule1, rule2 outside their threshold.. request-id: req-e86b0f92-a267-4ed3-8289-724178d59547

2016-05-11 10:16:08.138 93875 INFO aodh.notifier.rest [-] Notifying alarm Composite-Alarm 566bcde7-1757-4397-9585-c6efa3c7185b with severity critical from alarm to alarm with action SplitResult(scheme=u'http', netloc=u'127.0.0.1:15001', path=u'', query='', fragment='') because Composite rule alarm with composition form: (rule1 and rule2) remaining as alarm, due to rules: rule1, rule2 outside their threshold.. request-id: req-57e6eb4a-3127-43f3-bcc2-4926539171e4


Version-Release number of selected component (if applicable):
-------------------------------------------------------------
openstack-aodh-notifier-2.0.1-3.el7ost.noarch
python-aodh-2.0.1-3.el7ost.noarch
openstack-aodh-api-2.0.1-3.el7ost.noarch
openstack-aodh-evaluator-2.0.1-3.el7ost.noarch
python-aodh-tests-2.0.1-3.el7ost.noarch
openstack-aodh-listener-2.0.1-3.el7ost.noarch
openstack-aodh-common-2.0.1-3.el7ost.noarch

Comment 1 Mehdi ABAAKOUK 2016-08-05 13:46:51 UTC
Waiting for next upstream liberty release to rebase the pkg

Comment 2 Mehdi ABAAKOUK 2016-09-12 07:09:36 UTC
2.0.5 will be released upstream soon, with the fix https://review.openstack.org/#/c/368068/

Comment 3 Mehdi ABAAKOUK 2016-09-14 10:12:43 UTC
I haven't updated the good BZ

Comment 4 Mehdi ABAAKOUK 2016-09-14 10:13:55 UTC
For OSP8, we are waiting for 1.1.3 (and not 2.0.5).

Comment 6 Lon Hohberger 2016-11-07 21:58:32 UTC
Patches noted are present in rebase to 1.1.3

Comment 8 errata-xmlrpc 2016-11-14 19:57:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2712.html


Note You need to log in before you can comment on or make changes to this bug.